- [HTTP request](https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.consumerEnforcementActions/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.consumerEnforcementActions/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.consumerEnforcementActions/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.consumerEnforcementActions/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.consumerEnforcementActions/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.consumerEnforcementActions/patch#body.aspect)

Updates an existing ConsumerEnforcementAction resource.

### HTTP request

`PATCH https://commerceproducer.googleapis.com/v1beta/{consumerEnforcementAction.name=projects/*/locations/*/consumerEnforcementActions/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `consumerEnforcementAction.name` | `string` Identifier. Name of the ConsumerEnforcementAction resource. Format: `projects/{project}/locations/{location}/consumerEnforcementActions/{consumerEnforcementAction}` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. Field mask used to specify the fields to be overwritten in the ConsumerEnforcementAction resource by the update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.consumerEnforcementActions#ConsumerEnforcementAction`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).